package com.mtgg.controller;

import com.mtgg.bean.ADTO;
import com.mtgg.bean.ConfigBean;
import com.mtgg.bean.User;
import com.mtgg.common.ErrorCode;
import com.mtgg.common.Response;
import com.mtgg.service.AService;
import com.mtgg.utils.HttpUtils;
import com.mtgg.utils.VoiceUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
@RestController
public class AController {

    @Autowired
    private ConfigBean configBean;
    @Autowired
    private AService aService;


    @RequestMapping(value = "/one", method = RequestMethod.GET)
    public Response one(User user) throws Exception {
        Response result = new Response();
        Map<String, String> map = new HashMap<String, String>();
//		try {
//			map.put("abc","1");
//			HttpUtils.sendGet("www.baidu.com",map);
//			log.info("获取：{}",configBean.getAppId());
//		}catch (Exception e){
//			log.info("error:{}",e);
//		}
        log.info(configBean.getExcelUrl());
        user.setUserID(11111111);
        result.setObj(user);
        result.setRes(ErrorCode.SUCCESS.code);
        return result;
    }

    @RequestMapping("/two")
    public Response two(Integer pageNum,Integer pageSize) {
        Response jsonResponse = new Response();
        log.info("pageNUm:{},pagesize:{}",pageNum,pageSize);
        List<ADTO> list = aService.geta(pageNum,pageSize);
        jsonResponse.setObj(list);
        jsonResponse.setRes(aService.getCount());
        return jsonResponse;
    }
    @RequestMapping("/update")
    public Response update() {
        Response jsonResponse = new Response();
        int ret = aService.updateById();
        jsonResponse.setObj(ret);
        return jsonResponse;
    }
    @RequestMapping("/insert")
    public Response insert() {
        Response jsonResponse = new Response();
        int ret = aService.insert();
        jsonResponse.setObj(ret);
        return jsonResponse;
    }

    @RequestMapping("/test2")
    public String test2(HttpServletRequest request) {
        System.out.println(request.getRealPath(request.getRequestURI()));
        System.out.println(request.getSession().getServletContext().getRealPath("/"));
        System.out.println(this.getClass().getClassLoader().getResource("").getPath());

        return "ok";
    }
}
