package com.mtgg.service.imp;

import com.mtgg.bean.ADTO;
import com.mtgg.bean.User;
import com.mtgg.dao.AMapper;
import com.mtgg.dao.BaseMapper;
import com.mtgg.service.AService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Transactional
@Service
public class AServiceImp extends BaseServiceImp<User> implements AService {
	@Autowired
	private AMapper aMapper;
	
	protected BaseMapper<User> getMapper(){
		return this.aMapper;
	}

	@Override
	public List<Long> getOne() {
		List<Long> list = aMapper.getOne();
		System.out.println("list:"+list);
		return list;
	}

	@Override
	public int updateById() {
		return aMapper.updateById();
	}

	@Override
	public int insert() {
		return aMapper.insert();
	}

	@Override
	public List<ADTO> geta(Integer pageNum,Integer pageSize) {
		return aMapper.geta(pageNum,pageSize);
	}

	@Override
	public int getCount() {
		return aMapper.getCount();
	}
}
