$(document).ready(function () {
    $.ajax({
        type: "GET",
        url: "/JHS/server/lists",
        dataType: "json",
        async: false,
        data: "",
        /* id为参数名，id_1为参数值，多个参数用","隔开
        先清空标签，然后再赋值，如果不清空会叠加 */
        success: function (data) {
            var totalMoney = data.msg;
            $('.modal-footer').html("汇总：" + totalMoney + "元");
            data = data.obj;
            var table = '';
            $.each(data, function (index) {
                var recordId = data[index].recordId;
                var username = data[index].username;
                var money = data[index].money;
                var addTime = data[index].addTime;
                var status = data[index].status;
                var statusStr = '';
                if (status == 0) {
                    statusStr = '<a>1.确定</a>';
                } else if (status == 1) {
                    statusStr = '2.已确认';
                }
                table =table + '<tr class="gradeA">\n' +
                '                <td >' + statusStr + '</td>\n' +
                '                <td>' + username + '</td>\n' +
                '                <td>' + money + '</td>\n' +
                '                <td class="center">' + addTime + '</td>\n' +
                '                <td>' + recordId + '</td>\n' +
                '            </tr>\n';
            })
            $('#listBody').html(table);


            //为列表添加click事件
            var lis = document.getElementsByTagName('tr');
            for (var i = 1; i < data.length + 1; i++) {
                lis[i].cells[0].index = i; //给每个li定义一个属性索引值，赋
                var rt = lis[i].cells[0];
                rt.onclick = function () {
                    if (this.innerHTML == '2.已确认') {
                        return;
                    }
                    var nodeId = this.parentNode.cells[4].innerText;
                    console.log("id-->" + nodeId)  //换行  索引值从0开始
                    singleSure(nodeId);
                    this.innerHTML = '2.已确认';
                }
            }
        },
        error: function () {
            alert("请刷新重试!");
        }
    });

    function singleSure(theId) {
        $.ajax({
            type: "POST",
            url: "/JHS/server/update/" + theId,
            dataType: "json",
            data: "",
            success: function (data) {
                var res = data.res;
                console.log("update res:" + res)
                if (res != 0) {
                    window.location.reload();
                }
            },
            error: function () {
                alert("请重试!");
            }
        });
    }


    $('.data-table').dataTable({
        "bJQueryUI": true,
        "sPaginationType": "full_numbers",
        "sDom": '<""l>t<"F"fp>'
    });

    $('input[type=checkbox],input[type=radio],input[type=file]').uniform();

    $('select').select2();

    $("span.icon input:checkbox, th input:checkbox").click(function () {
        var checkedStatus = this.checked;
        var checkbox = $(this).parents('.widget-box').find('tr td:first-child input:checkbox');
        checkbox.each(function () {
            this.checked = checkedStatus;
            if (checkedStatus == this.checked) {
                $(this).closest('.checker > span').removeClass('checked');
            }
            if (this.checked) {
                $(this).closest('.checker > span').addClass('checked');
            }
        });
    });
});
